org.apache.cassandra.db

## Interface OnDiskAtom.SerializerForWriting

All Known Implementing Classes:
  OnDiskAtom.Serializer

Enclosing interface:
  OnDiskAtom

    public static interface OnDiskAtom.SerializerForWriting

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `serializedSizeForSSTable(OnDiskAtom atom)`
`void` `serializeForSSTable(OnDiskAtom atom, DataOutputPlus out)`

### Method Detail

#### serializeForSSTable

    void serializeForSSTable(OnDiskAtom atom,
                             DataOutputPlus out)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSizeForSSTable

    long serializedSizeForSSTable(OnDiskAtom atom)